summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorandy <andy@ndyk.de>2018-02-27 10:42:03 +0100
committerandy <andy@ndyk.de>2018-02-27 10:46:11 +0100
commitc5524c8001ec5621981b4e44be38417b168f5dbf (patch)
treee39ffe30c79c9cc8afd7d7f47c872427dd20eae8
parentremoved red from sxlock (diff)
downloadandy-master.tar.gz
andy-master.tar.bz2
andy-master.zip
added dapperHEADmaster
Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--x11-misc/dapper/Manifest3
-rw-r--r--x11-misc/dapper/dapper-1.0.0.ebuild33
-rw-r--r--x11-misc/dapper/metadata.xml8
3 files changed, 44 insertions, 0 deletions
diff --git a/x11-misc/dapper/Manifest b/x11-misc/dapper/Manifest
new file mode 100644
index 0000000..903925f
--- /dev/null
+++ b/x11-misc/dapper/Manifest
@@ -0,0 +1,3 @@
+DIST dapper-1.0.0.tar.gz 24629 BLAKE2B ee1617c38bfb388921fc2758bce76de4530d85c8e9525756c37e7533cf6507d1c6b23058d6cc286c00e9aaca32ef8ced1bb34fdd50293ba73c2a0bee47d6ad09 SHA512 2525a9d26496e2825ba4c52df01bc72e67232954acf0c7deb838656eff2c60d0d8c65a714ee20ddf59b2555aeba1130191a9494a789954602212feb4deb3e321
+EBUILD dapper-1.0.0.ebuild 696 BLAKE2B ab7bc9b7dde45b2ce9e937904e998c8ed8a3b308de78061d860dba96e818ed19e4a3cde6d509e427b3fe8b6651dfbbe62b4fcc50bf06447361a2858dff355cb8 SHA512 0a101dad7b7e0e56a184440fd128ef061e941e33cab09771542437bfd7a95b46909a78719e7d76edd4b8146959f3b39b55648e64e20e861f3bb260f98f61fd50
+MISC metadata.xml 241 BLAKE2B 117f3b263452b334f3adb70c3f15267e64b13d7335f35f84ead1de216b9f53a026ee25340525995e80ca4fd6cabdd101cd3f7563b0babae98d6c12806b4e664b SHA512 4fd289d5889d95606c00514daf808a41d37c998c80c21fed5337cd259ef3605c14dd75186bedfd1b5abed98fcb590232553332468cb218cddcc7c089af81bc76
diff --git a/x11-misc/dapper/dapper-1.0.0.ebuild b/x11-misc/dapper/dapper-1.0.0.ebuild
new file mode 100644
index 0000000..9b3742f
--- /dev/null
+++ b/x11-misc/dapper/dapper-1.0.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Desktop Applications Autostarter"
+HOMEPAGE="https://jjacky.com/dapper/"
+SRC_URI="https://github.com/jjk-jacky/${PN}/archive/${PV/_/}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+
+ # Remove problematic CFLAGS declaration
+ sed -i -e '/^AM_CFLAGS/s: -g : :' Makefile.am || die
+
+ # Rerun autotools
+ mkdir -p m4
+ einfo "Regenerating autotools files..."
+ eaclocal -I m4 && eautoheader || die "Fail"
+ WANT_AUTOCONF=2.69 eautoconf
+ mkdir -p build-aux
+ eautomake
+}
diff --git a/x11-misc/dapper/metadata.xml b/x11-misc/dapper/metadata.xml
new file mode 100644
index 0000000..f078bb8
--- /dev/null
+++ b/x11-misc/dapper/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>andy@ndyk.de</email>
+ <name>Andrew Karpow</name>
+ </maintainer>
+</pkgmetadata>